{
    "format_version": "1.8.0",
    "render_controllers": {
      "controller.render.cc_fairytales.animated_armor": {
        "geometry": "Geometry.default",
        "materials": [ { "*": "variable.is_enchanted ? Material.enchanted : Material.default" } ],
        "textures": [ "variable.has_trim ? variable.trim_path : Texture.default", "Texture.enchanted" ],
        "uv_anim": {
            "offset": [ 0.0, "math.mod(math.floor(q.life_time * v.frames_per_second),v.frame_count) / v.frame_count" ],
            "scale": [ 1.0, "1 / v.frame_count" ]
        }
      }
    }
  }